v2.14.1 7th June 2023
  - Bug fixes.

v2.14.0 24th April 2023
  - Added the QsciLexerAsm, QsciLexerMASM and QsciLexerNASM classes.
  - Added the QsciLexerHex, QsciLexerIntelHex, QsciLexerSRec and
    QsciLexerTekHex classes.
  - Bug fixes.

v2.13.4 6th December 2022
  - Added the .api files for Python v3.10 and v3.11.
  - Bug fixes.

v2.13.3 25th April 2022
  - Bug fixes.

v2.13.2 15th March 2022
  - Bug fixes that only affect iOS.

v2.13.1 12th October 2021
  - Documented how to build for multiple architectures on macOS.
  - Bug fixes.

v2.13.0 13th June 2021
  - Added the QsciPrinter::printRange() overload that uses a supplied QPainter
    to render the pages.
  - Improved the appearence of the auto-completion popup.
  - Bug fixes.

v2.12.1 4th March 2021
  - Packaging bug fixes.

v2.12.0 23rd February 2021
  - Added support for Qt6.
  - Removed support for Qt4 and Qt5 earlier than v5.11.0.
  - sdists are now provided.

v2.11.6 23rd November 2020
  - Added the --qsci-translations-dir option to sip-wheel.
  - Added the .api file for Python v3.9.
  - Build system changes.
  - Bug fixes.

v2.11.5 10th June 2020
  - The bundled .api files are now included in Python wheels if the
    QScintilla.api file is enabled.
  - Bug fixes.

v2.11.4 19th December 2019
  - An administrative release with no code changes.

v2.11.3 3rd November 2019
  - Added support for SIP v5.
  - On macOS the install name of the C++ library is now relative to @rpath.

v2.11.2 26th June 2019
  - Added QsciScintilla::findMatchingBrace().
  - QsciScintiila::clear() is no longer undoable and instead clears the undo
    history.
  - Added support for building with WASM.
  - Added the .api file for Python v3.8.
  - Bug fixes.

v2.11.1 14th February 2019
  - There is a small (but potentially incompatible) change to the signature of
    a QsciScintillaBase::SendScintilla() overload which may require an explicit
    cast to be added.
  - Bug fixes.

v2.11 10th February 2019
  - Based on Scintilla v3.10.1.
  - Added setCaretLineFrameWidth() to QsciScintilla.
  - The findFirst() and findFirstInSelection() methods of QsciScintilla now
    support Cxx11 regular expressions.
  - Added cancelFind() to QsciScintilla.
  - Added GradientIndicator and CentreGradientIndicator to
    QsciScintilla::IndicatorStyle.
  - Added WrapIndentDeeplyIndented to QsciScintilla::WrapIndentMode.
  - Added ReverseLines to QsciCommand::Command.
  - Deprecated QsciLexer::styleBitsNeeded().
  - Added the AddingPatchAdded, RemovingPatchAdded, AddingPatchRemoved and
    RemovingPatchRemoved styles to QsciLexerDiff.
  - Added the DoubleQuotedFString, SingleQuotedFString,
    TripleSingleQuotedFString and TripleDoubleQuotedFString styles to
    QsciLexerPython.
  - Added SCLEX_INDENT, SCLEX_MAXIMA and SCLEX_STATA to QsciScintillaBase.
  - Added SCI_SETACCESSIBILITY, SCI_GETACCESSIBILITY, SCI_GETCARETLINEFRAME,
    SCI_SETCARETLINEFRAME, SCI_SETCOMMANDEVENTS, SCI_GETCOMMANDEVENTS,
    SCI_LINEREVERSE and SCI_GETMOVEEXTENDSSELECTION to QsciScintillaBase.
  - Added SCI_GETLINECHARACTERINDEX, SCI_ALLOCATELINECHARACTERINDEX,
    SCI_RELEASELINECHARACTERINDEX, SCI_LINEFROMINDEXPOSITION,
    SCI_INDEXPOSITIONFROMLINE, SCI_COUNTCODEUNITS and
    SCI_POSITIONRELATIVECODEUNITS to QsciScintillaBase.
  - Added SC_LINECHARACTERINDEX_NONE, SC_LINECHARACTERINDEX_UTF32 and
    SC_LINECHARACTERINDEX_UTF16 to QsciScintillaBase.
  - Added SCI_GETNAMEDSTYLES, SCI_NAMEOFSTYLE, SCI_TAGSOFSTYLE and
    SCI_DESCRIPTIONOFSTYLE to QsciScintillaBase.
  - Added the SCN_AUTOCSELECTIONCHANGE and SCN_URIDROPPED() signals to
    QsciScintillaBase.
  - Added the overloaded SCN_USERLISTSELECTION() signal to QsciScintillaBase.
  - Added INDIC_GRADIENT and INDIC_GRADIENTCENTRE to QsciScintillaBase.
  - Added SC_PRINT_SCREENCOLOURS to QsciScintillaBase.
  - Added SC_WRAPINDENT_DEEPINDENT to QsciScintillaBase.
  - Added SCI_GETDOCUMENTOPTIONS, SC_DOCUMENTOPTION_DEFAULT,
    SC_DOCUMENTOPTION_STYLES_NONE and SC_DOCUMENTOPTION_TEXT_LARGE to
    QsciScintillaBase.

v2.10.8 1st October 2018
  - Bug fixes.

v2.10.7 2nd July 2018
  - Bug fixes.

v2.10.6 24th June 2018
  - A pseudo-release to create a version number for updated Python wheels.

v2.10.5 23rd June 2018
  - Added the QsciLexerEDIFACT class.
  - Added setStyle() to QsciStyle.
  - Control-wheel scroll will now zoom in and out of the document.
  - Buffered drawing is now disabled by default.
  - The Python bindings create a PEP 376 .dist-info directory on installation
    that provides version information for dependent packages and allows pip to
    uninstall.
  - Added the --no-dist-info option to the Python bindings' configure.py.
  - Bug fixes.

v2.10.4 10th April 2018
  - Bug fixes.

v2.10.3 26th February 2018
  - Added accessibility support.
  - Added the API file for Python v3.7.

v2.10.2 23rd November 2017
  - Added setScrollWidth() , scrollWidth, setScrollWidthTracking() and
    scrollWidthTracking() to QsciScintilla.
  - Bug fixes.

v2.10.1 3rd July 2017
  - Changed the default font on macOS to Menlo 12pt.
  - Added previously internal lexer methods to the Python bindings.

v2.10 20th February 2017
  - Based on Scintilla v3.7.2.
  - Added the QsciLexerJSON class.
  - Added the QsciLexerMarkdown class.
  - Added replaceHorizontalScrollBar() and replaceVerticalScrollBar() to
    QsciScintillaBase.
  - Added bytes() and a corresponding text() overload to QsciScintilla.
  - Added EdgeMultipleLines to QsciScintilla::EdgeMode.
  - Added addEdgeColumn() and clearEdgeColumns() to QsciScintilla.
  - Added the marginRightClicked() signal to QsciScintilla.
  - Added SymbolMarginColor to QsciScintilla::MarginType.
  - Added setMarginBackgroundColor() and marginBackgroundColor() to
    QsciScintilla.
  - Added setMargins() and margins() to QsciScintilla.
  - Added TriangleIndicator and TriangleCharacterIndicator to
    QsciScintilla::IndicatorStyle.
  - Added WsVisibleOnlyInIndent to QsciScintilla::WhitespaceVisibility.
  - Added TabDrawMode, setTabDrawMode() and tabDrawMode() to QsciScintilla.
  - Added InstanceProperty to QsciLexerCoffeeScript.
  - Added EDGE_MULTILINE to QsciScintillaBase.
  - Added INDIC_POINT and INDIC_POINTCHARACTER to QsciScintillaBase.
  - Added SC_AC_FILLUP, SC_AC_DOUBLECLICK, SC_AC_TAB, SC_AC_NEWLINE and
    SC_AC_COMMAND to QsciScintillaBase.
  - Added SC_CASE_CAMEL to QsciScintillaBase.
  - Added SC_CHARSET_CYRILLIC and SC_CHARSET_OEM866 to QsciScintillaBase.
  - Added SC_FOLDDISPLAYTEXT_HIDDEN, SC_FOLDDISPLAYTEXT_STANDARD and
    SC_FOLDDISPLAYTEXT_BOXED to QsciScintillaBase.
  - Added SC_IDLESTYLING_NONE, SC_IDLESTYLING_TOVISIBLE,
    SC_IDLESTYLING_AFTERVISIBLE and SC_IDLESTYLING_ALL to QsciScintillaBase.
  - Added SC_MARGIN_COLOUR to QsciScintillaBase.
  - Added SC_POPUP_NEVER, SC_POPUP_ALL and SC_POPUP_TEXT to QsciScintillaBase.
  - Added SCI_FOLDDISPLAYTEXTSETSTYLE and SCI_TOGGLEFOLDSHOWTEXT to
    QsciScintillaBase.
  - Added SCI_GETIDLESTYLING and SCI_SETIDLESTYLING to QsciScintillaBase.
  - Added SCI_GETMARGINBACKN and SCI_SETMARGINBACKN to QsciScintillaBase.
  - Added SCI_GETMARGINS and SCI_SETMARGINS to QsciScintillaBase.
  - Added SCI_GETMOUSEWHEELCAPTURES and SCI_SETMOUSEWHEELCAPTURES to
    QsciScintillaBase.
  - Added SCI_GETTABDRAWMODE and SCI_SETTABDRAWMODE to QsciScintillaBase.
  - Added SCI_ISRANGEWORD to QsciScintillaBase.
  - Added SCI_MULTIEDGEADDLINE and SCI_MULTIEDGECLEARALL to QsciScintillaBase.
  - Added SCI_MULTIPLESELECTADDNEXT and SCI_MULTIPLESELECTADDEACH to
    QsciScintillaBase.
  - Added SCI_TARGETWHOLEDOCUMENT to QsciScintillaBase.
  - Added SCLEX_JSON and SCLEX_EDIFACT to QsciScintillaBase.
  - Added SCTD_LONGARROW and SCTD_STRIKEOUT to QsciScintillaBase.
  - Added SCVS_NOWRAPLINESTART to QsciScintillaBase.
  - Added SCWS_VISIBLEONLYININDENT to QsciScintillaBase.
  - Added STYLE_FOLDDISPLAYTEXT to QsciScintillaBase.
  - Added the SCN_AUTOCCOMPLETED() signal to QsciScintillaBase.
  - Added the overloaded SCN_AUTOCSELECTION() and SCN_USERLISTSELECTION()
    signals to QsciScintillaBase.
  - Added the SCN_MARGINRIGHTCLICK() signal to QsciScintillaBase.
  - Renamed SCI_GETTARGETRANGE to SCI_GETTARGETTEXT in QsciScintillaBase.
  - Removed SCI_GETKEYSUNICODE and SCI_SETKEYSUNICODE to QsciScintillaBase.
  - The autoCompletionFillups(), autoCompletionWordSeparators(), blockEnd(),
    blockLookback(), blockStart(), blockStartKeyword(), braceStyle(),
    caseSensitive(), indentationGuideView() and defaultStyle() methods of
    QsciLexer are no longer marked as internal and are exposed to Python so
    that they may be used by QsciLexerCustom sub-classes.
  - The name of the library has been changed to include the major version
    number of the version of Qt it is built against (ie. 4 or 5).

v2.9.4 25th December 2016
  - Added the .api file for Python v3.6.
  - Bug fixes.

v2.9.3 25th July 2016
  - Bug fixes.

v2.9.2 18th April 2016
  - Added support for a PEP 484 stub file for the Python extension module.

v2.9.1 24th October 2015
  - Added the .api file for Python v3.5.
  - Bug fixes.

v2.9 20th April 2015
  - Based on Scintilla v3.5.4.
  - Added UserLiteral, InactiveUserLiteral, TaskMarker, InactiveTaskMarker,
    EscapeSequence, InactiveEscapeSequence, setHighlightBackQuotedStrings(),
    highlightBackQuotedStrings(), setHighlightEscapeSequences(),
    highlightEscapeSequences(), setVerbatimStringEscapeSequencesAllowed() and
    verbatimStringEscapeSequencesAllowed() to QsciLexerCPP.
  - Added CommentKeyword, DeclareInputPort, DeclareOutputPort,
    DeclareInputOutputPort, PortConnection and the inactive versions of all
    styles to QsciLexerVerilog.
  - Added CommentBlock to QsciLexerVHDL.
  - Added AnnotationIndented to QsciScintilla::AnnotationDisplay.
  - Added FullBoxIndicator, ThickCompositionIndicator, ThinCompositionIndicator
    and TextColorIndicator to QsciScintilla::IndicatorStyle.
  - Added setIndicatorHoverForegroundColor() and setIndicatorHoverStyle() to
    QsciScintilla.
  - Added Bookmark to QsciScintilla::MarkerSymbol.
  - Added WrapWhitespace to QsciScintilla::WrapMode.
  - Added SCLEX_AS, SCLEX_BIBTEX, SCLEX_DMAP, SCLEX_DMIS, SCLEX_IHEX,
    SCLEX_REGISTRY, SCLEX_SREC and SCLEX_TEHEX to QsciScintillaBase.
  - Added SCI_CHANGEINSERTION to QsciScintillaBase.
  - Added SCI_CLEARTABSTOPS, SCI_ADDTABSTOP and SCI_GETNEXTTABSTOP to
    QsciScintillaBase.
  - Added SCI_GETIMEINTERACTION, SCI_SETIMEINTERACTION, SC_IME_WINDOWED and
    SC_IME_INLINE to QsciScintillaBase.
  - Added SC_MARK_BOOKMARK to QsciScintillaBase.
  - Added INDIC_COMPOSITIONTHIN, INDIC_FULLBOX, INDIC_TEXTFORE, INDIC_IME,
    INDIC_IME_MAX, SC_INDICVALUEBIT, SC_INDICVALUEMASK,
    SC_INDICFLAG_VALUEBEFORE, SCI_INDICSETHOVERSTYLE, SCI_INDICGETHOVERSTYLE,
    SCI_INDICSETHOVERFORE, SCI_INDICGETHOVERFORE, SCI_INDICSETFLAGS and
    SCI_INDICGETFLAGS to QsciScintillaBase.
  - Added SCI_SETTARGETRANGE and SCI_GETTARGETRANGE to QsciScintillaBase.
  - Added SCFIND_CXX11REGEX to QsciScintillaBase.
  - Added SCI_CALLTIPSETPOSSTART to QsciScintillaBase.
  - Added SC_FOLDFLAG_LINESTATE to QsciScintillaBase.
  - Added SC_WRAP_WHITESPACE to QsciScintillaBase.
  - Added SC_PHASES_ONE, SC_PHASES_TWO, SC_PHASES_MULTIPLE, SCI_GETPHASESDRAW
    and SCI_SETPHASESDRAW to QsciScintillaBase.
  - Added SC_STATUS_OK, SC_STATUS_FAILURE, SC_STATUS_BADALLOC,
    SC_STATUS_WARN_START and SC_STATUS_WARNREGEX to QsciScintillaBase.
  - Added SC_MULTIAUTOC_ONCE, SC_MULTIAUTOC_EACH, SCI_AUTOCSETMULTI and
    SCI_AUTOCGETMULTI to QsciScintillaBase.
  - Added ANNOTATION_INDENTED to QsciScintillaBase.
  - Added SCI_DROPSELECTIONN to QsciScintillaBase.
  - Added SC_TECHNOLOGY_DIRECTWRITERETAIN and SC_TECHNOLOGY_DIRECTWRITEDC to
    QsciScintillaBase.
  - Added SC_LINE_END_TYPE_DEFAULT, SC_LINE_END_TYPE_UNICODE,
    SCI_GETLINEENDTYPESSUPPORTED, SCI_SETLINEENDTYPESALLOWED,
    SCI_GETLINEENDTYPESALLOWED and SCI_GETLINEENDTYPESACTIVE to
    QsciScintillaBase.
  - Added SCI_ALLOCATESUBSTYLES, SCI_GETSUBSTYLESSTART, SCI_GETSUBSTYLESLENGTH,
    SCI_GETSTYLEFROMSUBSTYLE, SCI_GETPRIMARYSTYLEFROMSTYLE, SCI_FREESUBSTYLES,
    SCI_SETIDENTIFIERS, SCI_DISTANCETOSECONDARYSTYLES and SCI_GETSUBSTYLEBASES
    to QsciScintillaBase.
  - Added SC_MOD_INSERTCHECK and SC_MOD_CHANGETABSTOPS to QsciScintillaBase.
  - Qt v3 and PyQt v3 are no longer supported.

v2.8.4 11th September 2014
  - Added setHotspotForegroundColor(), resetHotspotForegroundColor(),
    setHotspotBackgroundColor(), resetHotspotBackgroundColor(),
    setHotspotUnderline() and setHotspotWrap() to QsciScintilla.
  - Added SCI_SETHOTSPOTSINGLELINE to QsciScintillaBase.
  - Bug fixes.

v2.8.3 3rd July 2014
  - Added the QsciLexerCoffeeScript class.
  - Font sizes are now handled as floating point values rather than integers.
  - Bug fixes.

v2.8.2 26th May 2014
  - Added the QsciLexerAVS class.
  - Added the QsciLexerPO class.
  - Added the --sysroot, --no-sip-files and --no-qsci-api options to the Python
    bindings' configure.py.
  - Cross-compilation (specifically to iOS and Android) is now supported.
  - configure.py has been refactored and relicensed so that it can be used as a
    template for wrapping other bindings.
  - Bug fixes.

v2.8.1 14th March 2014
  - Added support for iOS and Android.
  - Added support for retina displays.
  - A qscintilla2.prf file is installed so that application .pro files only
    need to add CONFIG += qscintilla2.
  - Updated the keywords recognised by the Octave lexer.
  - Bug fixes.

v2.8 9th November 2013
  - Based on Scintilla v3.3.6.
  - Added the SCN_FOCUSIN() and SCN_FOCUSOUT() signals to QsciScintillaBase.
  - Added PreProcessorCommentLineDoc and InactivePreProcessorCommentLineDoc to
    QsciLexerCPP.
  - Added SCLEX_LITERATEHASKELL, SCLEX_KVIRC, SCLEX_RUST and SCLEX_STTXT to
    QsciScintillaBase.
  - Added ThickCompositionIndicator to QsciScintilla::IndicatorStyle.
  - Added INDIC_COMPOSITIONTHICK to QsciScintillaBase.
  - Added SC_FOLDACTION_CONTRACT, SC_FOLDACTION_EXPAND and SC_FOLDACTION_TOGGLE
    to QsciScintillaBase.
  - Added SCI_FOLDLINE, SCI_FOLDCHILDREN, SCI_EXPANDCHILDREN and SCI_FOLDALL to
    QsciScintillaBase.
  - Added SC_AUTOMATICFOLD_SHOW, SC_AUTOMATICFOLD_CLICK and
    SC_AUTOMATICFOLD_CHANGE to QsciScintillaBase.
  - Added SCI_SETAUTOMATICFOLD and SCI_GETAUTOMATICFOLD to QsciScintillaBase.
  - Added SC_ORDER_PRESORTED, SC_ORDER_PERFORMSORT and SC_ORDER_CUSTOM to
    QsciScintillaBase.
  - Added SCI_AUTOCSETORDER and SCI_AUTOCGETORDER to QsciScintillaBase.
  - Added SCI_POSITIONRELATIVE to QsciScintillaBase.
  - Added SCI_RELEASEALLEXTENDEDSTYLES and SCI_ALLOCATEEXTENDEDSTYLES to
    QsciScintillaBase.
  - Added SCI_SCROLLRANGE to QsciScintillaBase.
  - Added SCI_SETCARETLINEVISIBLEALWAYS and SCI_GETCARETLINEVISIBLEALWAYS to
    QsciScintillaBase.
  - Added SCI_SETMOUSESELECTIONRECTANGULARSWITCH and
    SCI_GETMOUSESELECTIONRECTANGULARSWITCH to QsciScintillaBase.
  - Added SCI_SETREPRESENTATION, SCI_GETREPRESENTATION and
    SCI_CLEARREPRESENTATION to QsciScintillaBase.
  - Input methods are now properly supported.

v2.7.2 16th June 2013
  - The build script for the Python bindings now has a --pyqt argument for
    specifying PyQt4 or PyQt5.
  - The default EOL mode on OS/X is now EolUnix.
  - Bug fixes.

v2.7.1 1st March 2013
  - Added support for the final release of Qt v5.
  - The build script for the Python bindings should now work with SIP v5.
  - Bug fixes.

v2.7 8th December 2012
  - Based on Scintilla v3.2.3.
  - Added support for Qt v5-rc1.
  - Added HashQuotedString, InactiveHashQuotedString, PreProcessorComment,
    InactivePreProcessorComment, setHighlightHashQuotedStrings() and
    highlightHashQuotedStrings() to QsciLexerCpp.
  - Added Variable, setHSSLanguage(), HSSLanguage(), setLessLanguage(),
    LessLanguage(), setSCCSLanguage() and SCCSLanguage() to QsciLexerCSS.
  - Added setOverwriteMode() and overwriteMode() to QsciScintilla.
  - Added wordAtLineIndex() to QsciScintilla.
  - Added findFirstInSelection() to QsciScintilla.
  - Added CallTipsPosition, callTipsPosition() and setCallTipsPosition() to
    QsciScintilla.
  - Added WrapFlagInMargin to QsciScintilla::WrapVisualFlag.
  - Added SquigglePixmapIndicator to QsciScintilla::IndicatorStyle.
  - The weight of a font (rather than whether it is just bold or not) is now
    respected.
  - Added SCLEX_AVS, SCLEX_COFFEESCRIPT, SCLEX_ECL, SCLEX_OSCRIPT,
    SCLEX_TCMD and SCLEX_VISUALPROLOG to QsciScintillaBase.
  - Added SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE and
    SC_CASEINSENSITIVEBEHAVIOUR_RESPECTCASE to QsciScintillaBase.
  - Added SC_FONT_SIZE_MULTIPLIER to QsciScintillaBase.
  - Added SC_WEIGHT_NORMAL, SC_WEIGHT_SEMIBOLD and SC_WEIGHT_BOLD to
    QsciScintillaBase.
  - Added SC_WRAPVISUALFLAG_MARGIN to QsciScintillaBase.
  - Added INDIC_SQUIGGLEPIXMAP to QsciScintillaBase.
  - Added SCI_AUTOCSETCASEINSENSITIVEBEHAVIOUR,
    SCI_AUTOCGETCASEINSENSITIVEBEHAVIOUR, SCI_CALLTIPSETPOSITION,
    SCI_COUNTCHARACTERS, SCI_CREATELOADER, SCI_DELETERANGE,
    SCI_FINDINDICATORFLASH, SCI_FINDINDICATORHIDE, SCI_FINDINDICATORSHOW,
    SCI_GETALLLINESVISIBLE, SCI_GETGAPPOSITION, SCI_GETPUNCTUATIONCHARS,
    SCI_GETRANGEPOINTER, SCI_GETSELECTIONEMPTY, SCI_GETTECHNOLOGY,
    SCI_GETWHITESPACECHARS, SCI_GETWORDCHARS, SCI_RGBAIMAGESETSCALE,
    SCI_SETPUNCTUATIONCHARS, SCI_SETTECHNOLOGY, SCI_STYLESETSIZEFRACTIONAL,
    SCI_STYLEGETSIZEFRACTIONAL, SCI_STYLESETWEIGHT and SCI_STYLEGETWEIGHT to
    QsciScintillaBase.
  - Removed SCI_GETUSEPALETTE and SCI_SETUSEPALETTE from QsciScintillaBase.
  - Bug fixes.

v2.6.2 20th June 2012
  - Added support for Qt v5-alpha.
  - QsciLexer::wordCharacters() is now part of the public API.
  - Bug fixes.

v2.6.1 10th February 2012
  - Support SCI_NAMESPACE to enable all internal Scintilla classes to be put
    into the Scintilla namespace.
  - APIs now allow for spaces between the end of a word and the opening
    parenthesis.
  - Building against Qt v3 is fixed.

v2.6 11th November 2011
  - Based on Scintilla v2.29.
  - Added Command, command() and execute() to QsciCommand.
  - Added boundTo() and find() to QsciCommandSet.
  - Added createStandardContextMenu() to QsciScintilla.
  - Added StraightBoxIndicator, DashesIndicator, DotsIndicator,
    SquiggleLowIndicator and DotBoxIndicator to QsciScintilla::IndicatorStyle.
  - Added markerDefine() to QsciScintilla.
  - Added MoNone, MoSublineSelect, marginOptions() and setMarginOptions() to
    QsciScintilla.
  - Added registerImage() to QsciScintilla.
  - Added setIndicatorOutlineColor() to QsciScintilla.
  - Added setMatchedBraceIndicator(), resetMatchedBraceIndicator(),
    setUnmatchedBraceIndicator() and resetUnmatchedBraceIndicator() to
    QsciScintilla.
  - Added highlightTripleQuotedStrings() and setHighlightTripleQuotedStrings()
    to QsciLexerCpp.
  - Added Label to QsciLexerLua.
  - Added DoubleQuotedStringVar, Translation, RegexVar, SubstitutionVar,
    BackticksVar, DoubleQuotedHereDocumentVar, BacktickHereDocumentVar,
    QuotedStringQQVar, QuotedStringQXVar, QuotedStringQRVar, setFoldAtElse()
    and foldAtElse() to QsciLexerPerl.
  - Added highlightSubidentifiers() and setHighlightSubidentifiers() to
    QsciLexerPython.
  - Added INDIC_STRAIGHTBOX, INDIC_DASH, INDIC_DOTS, INDIC_SQUIGGLELOW and
    INDIC_DOTBOX to QsciScintillaBase.
  - Added SC_MARGINOPTION_NONE and SC_MARGINOPTION_SUBLINESELECT to
    QsciScintillaBase.
  - Added SC_MARK_RGBAIMAGE to QsciScintillaBase.
  - Added SCI_BRACEBADLIGHTINDICATOR, SCI_BRACEHIGHLIGHTINDICATOR,
    SCI_GETIDENTIFIER, SCI_GETMARGINOPTIONS, SCI_INDICGETOUTLINEALPHA,
    SCI_INDICSETOUTLINEALPHA, SCI_MARKERDEFINERGBAIMAGE,
    SCI_MARKERENABLEHIGHLIGHT, SCI_MARKERSETBACKSELECTED,
    SCI_MOVESELECTEDLINESDOWN, SCI_MOVESELECTEDLINESUP, SCI_REGISTERRGBAIMAGE,
    SCI_RGBAIMAGESETHEIGHT, SCI_RGBAIMAGESETWIDTH, SCI_SCROLLTOEND,
    SCI_SCROLLTOSTART, SCI_SETEMPTYSELECTION, SCI_SETIDENTIFIER and
    SCI_SETMARGINOPTIONS to QsciScintillaBase.

v2.5.1 17th April 2011
  - Added QsciLexerMatlab and QsciLexerOctave.

v2.5 29th March 2011
  - Based on Scintilla v2.25.
  - Rectangular selections are now fully supported and compatible with SciTE.
  - The signature of the fromMimeData() and toMimeData() methods of
    QsciScintillaBase have changed incompatibly in order to support rectangular
    selections.
  - Added QsciScintilla::setAutoCompletionUseSingle() to replace the now
    deprecated setAutoCompletionShowSingle().
  - Added QsciScintilla::autoCompletionUseSingle() to replace the now
    deprecated autoCompletionShowSingle().
  - QsciScintilla::setAutoCompletionCaseSensitivity() is no longer ignored if a
    lexer has been set.
  - Added FullRectangle, LeftRectangle and Underline to the
    QsciScintilla::MarkerSymbol enum.
  - Added setExtraAscent(), extraAscent(), setExtraDescent() and extraDescent()
    to QsciScintilla.
  - Added setWhitespaceSize() and whitespaceSize() to QsciScintilla.
  - Added replaceSelectedText() to QsciScintilla.
  - Added setWhitespaceBackgroundColor() and setWhitespaceForegroundColor() to
    QsciScintilla.
  - Added setWrapIndentMode() and wrapIndentMode() to QsciScintilla.
  - Added setFirstVisibleLine() to QsciScintilla.
  - Added setContractedFolds() and contractedFolds() to QsciScintilla.
  - Added the SCN_HOTSPOTRELEASECLICK() signal to QsciScintillaBase.
  - The signature of the QsciScintillaBase::SCN_UPDATEUI() signal has changed.
  - Added the RawString and inactive styles to QsciLexerCPP.
  - Added MediaRule to QsciLexerCSS.
  - Added BackquoteString, RawString, KeywordSet5, KeywordSet6 and KeywordSet7
    to QsciLexerD.
  - Added setDjangoTemplates(), djangoTemplates(), setMakoTemplates() and
    makoTemplates() to QsciLexerHTML.
  - Added KeywordSet5, KeywordSet6, KeywordSet7 and KeywordSet8 to
    QsciLexerLua.
  - Added setInitialSpaces() and initialSpaces() to QsciLexerProperties.
  - Added setFoldCompact(), foldCompact(), setStringsOverNewlineAllowed() and
    stringsOverNewlineAllowed() to QsciLexerPython.
  - Added setFoldComments(), foldComments(), setFoldCompact() and foldCompact()
    to QsciLexerRuby.
  - Added setFoldComments() and foldComments(), and removed setFoldCompact()
    and foldCompact() from QsciLexerTCL.
  - Added setFoldComments(), foldComments(), setFoldCompact(), foldCompact(),
    setProcessComments(), processComments(), setProcessIf(), and processIf() to
    QsciLexerTeX.
  - Added QuotedIdentifier, setDottedWords(), dottedWords(), setFoldAtElse(),
    foldAtElse(), setFoldOnlyBegin(), foldOnlyBegin(), setHashComments(),
    hashComments(), setQuotedIdentifiers() and quotedIdentifiers() to
    QsciLexerSQL.
  - The Python bindings now allow optional arguments to be specified as keyword
    arguments.
  - The Python bindings will now build using the protected-is-public hack if
    possible.

v2.4.6 23rd December 2010
  - Added support for indicators to the high-level API, i.e. added the
    IndicatorStyle enum, the clearIndicatorRange(), fillIndicatorRange(),
    indicatorDefine(), indicatorDrawUnder(), setIndicatorDrawUnder() and
    setIndicatorForegroundColor methods, and the indicatorClicked() and
    indicatorReleased() signals to QsciScintilla.
  - Added support for the Key style in QsciLexerProperties.
  - Added an API file for Python v2.7.
  - Added the --no-timestamp command line option to the Python bindings'
    configure.py.

v2.4.5 31st August 2010
  - A bug fix release.

v2.4.4 12th July 2010
  - Added the canInsertFromMimeData(), fromMimeData() and toMimeData() methods
    to QsciScintillaBase.
  - QsciScintilla::markerDefine() now allows existing markers to be redefined.

v2.4.3 17th March 2010
  - Added clearFolds() to QsciScintilla.

v2.4.2 20th January 2010
  - Updated Spanish translations from Jaime Seuma.
  - Fixed compilation problems with Qt v3 and Qt v4 prior to v4.5.

v2.4.1 14th January 2010
  - Added the QsciLexerSpice and QsciLexerVerilog classes.
  - Significant performance improvements when handling long lines.
  - The Python bindings include automatically generated docstrings by default.
  - Added an API file for Python v3.

v2.4 5th June 2009
  - Based on Scintilla v1.78.
  - Added the QsciLexerCustom, QsciStyle and QsciStyledText classes.
  - Added annotate(), annotation(), clearAnnotations(), setAnnotationDisplay()
    and annotationDisplay() to QsciScintilla.
  - Added setMarginText(), clearMarginText(), setMarginType() and marginType()
    to QsciScintilla.
  - Added QsciLexer::lexerId() so that container lexers can be implemented.
  - Added editor() and styleBitsNeeded() to QsciLexer.
  - Added setDollarsAllowed() and dollarsAllowed() to QsciLexerCPP.
  - Added setFoldScriptComments(), foldScriptComments(),
    setFoldScriptHeredocs() and foldScriptHeredocs() to QsciLexerHTML.
  - Added setSmartHighlighting() and smartHighlighting() to QsciLexerPascal.
    (Note that the Scintilla Pascal lexer has changed so that any saved colour
    and font settings will not be properly restored.)
  - Added setFoldPackages(), foldPackages(), setFoldPODBlocks() and
    foldPODBlocks() to QsciLexerPerl.
  - Added setV2UnicodeAllowed(), v2UnicodeAllowed(), setV3BinaryOctalAllowed(),
    v3BinaryOctalAllowed(), setV3BytesAllowed and v3BytesAllowed() to
    QsciLexerPython.
  - Added setScriptsStyled() and scriptsStyled() to QsciLexerXML.
  - Added Spanish translations from Jaime Seuma.

v2.3.2 17th November 2008
  - A bug fix release.

v2.3.1 6th November 2008
  - Based on Scintilla v1.77.
  - Added the read() and write() methods to QsciScintilla to allow a file to be
    read and written while minimising the conversions.
  - Added the positionFromLineIndex() and lineIndexFromPosition() methods to
    QsciScintilla to convert between a Scintilla character address and a
    QScintilla character address.
  - Added QsciScintilla::wordAtPoint() to return the word at the given screen
    coordinates.
  - QSciScintilla::setSelection() now allows the carat to be left at either the
    start or the end of the selection.
  - 'with' is now treated as a keyword by the Python lexer.

v2.3 20th September 2008
  - Based on Scintilla v1.76.
  - The new QsciAbstractAPIs class allows applications to replace the default
    implementation of the language APIs used for auto-completion lists and call
    tips.
  - Added QsciScintilla::apiContext() to allow applications to determine the
    context used for auto-completion and call tips.
  - Added the QsciLexerFortran, QsciLexerFortran77, QsciLexerPascal,
    QsciLexerPostScript, QsciLexerTCL, QsciLexerXML and QsciLexerYAML classes.
  - QsciScintilla::setFolding() will now accept an optional margin number.

v2.2 27th February 2008
  - Based on Scintilla v1.75.
  - A lexer's default colour, paper and font are now written to and read from
    the settings.
  - Windows64 is now supported.
  - The signature of the QsciScintillaBase::SCN_MACRORECORD() signal has
    changed slightly.
  - Changed the licensing to match the current Qt licenses, including GPL v3.

v2.1 1st June 2007
  - A slightly revised API, incompatible with QScintilla v2.0.
  - Lexers now remember their style settings.  A lexer no longer has to be the
    current lexer when changing a style's color, end-of-line fill, font or
    paper.
  - The color(), eolFill(), font() and paper() methods of QsciLexer now return
    the current values for a style rather than the default values.
  - The setDefaultColor(), setDefaultFont() and setDefaultPaper() methods of
    QsciLexer are no longer slots and no longer virtual.
  - The defaultColor(), defaultFont() and defaultPaper() methods of QsciLexer
    are no longer virtual.
  - The color(), eolFill(), font() and paper() methods of all QsciLexer derived
    classes (except for QsciLexer itself) have been renamed defaultColor(),
    defaultEolFill(), defaultFont() and defaultPaper() respectively.

v2.0 26th May 2007
  - A revised API, incompatible with QScintilla v1.
  - Hugely improved autocompletion and call tips support.
  - Supports both Qt v3 and Qt v4.
  - Includes Python bindings.
